$STORAGE: 2
            SUBROUTINE NORM (TOT, IPLT)
         DIMENSION XM(1),INDEX(8)
       COMMON/EXTRA/ NDLTY, NPLTS, MA(1)
            EQUIVALENCE(MA(1),XM(1)),(INDEX(1),NDM),(INDEX(2),IST),
     1 (INDEX(7),NBX)
          IF(1.GT.IPLT.OR.IPLT.GT.NPLTS) RETURN
         DO 1 I=1,8
         J = (I-1)*NPLTS + IPLT
1         INDEX(I) = MA(J)
         IF ( NDM .NE. 1) RETURN
         NE =NBX + 2
          WT =0.000000001
         DO 2 I=1,NE
           J =IST + I
2        WT = XM(J) + WT
         ADJ = TOT/WT
           DO 3 I=1,NE
        J = IST + I
3         XM(J)= ADJ*XM(J)
          RETURN
          END



